/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *  ============================================================================
 */
 
/*  ============================================================================
 *  lnk.cmd   v5.00                                                         
 *         
 *    Usage:  lnk6x <obj files...>    -o <out file> -m <map file> lnk.cmd   
 *            cl6x  <src files...> -z -o <out file> -m <map file> lnk.cmd   
 *                                                                          
 *    Description: This file is a sample linker command file that can be    
 *                 used for linking programs built with the C compiler and  
 *                 running the resulting .out file on a C620x/C670x         
 *                 simulator.  Use it as a guideline.  You will want to     
 *                 change the memory layout to match your specific C6xxx    
 *                 target system.  You may want to change the allocation    
 *                 scheme according to the size of your program.            
 *                                                                          
 *    Notes: (1)   You must specivy a directory in which rts6x00.lib is     
 *                 located.  either add a -i"<directory>" line to this      
 *                 file or use the system environment variable C_DIR to     
 *                 specify a search path for the libraries.                 
 *                                                                          
 *           (2)   If the run-time library you are using is not named       
 *                 rts6200[e].lib, rts6400[e].lib, or rts6700[e].lib, be    
 *                 sure to use the correct name here.                       
 *                                                                          
 *  ============================================================================
 */

-c
-stack 0x1000
-heap  0x1000

MEMORY
{
   /* 16K L1 cache  length = 0x3FFF 
      32K L1 cache  length = 0x7FFF
   */
  /* VECS     o=0x00E00000 l=0x00000200
   L1P:     o=0x00E00200 l=0x00007DFF
   L1D:     o=0x00F00000 l=0x00007FFF*/

   /* 32K  L2 cache length = 0xF7DFF
      64K  L2 cache length = 0xEFDFF
      128K L2 cache length = 0xDFDFF
      256K L2 cache length = 0xBFDFF
   */
   /* Use global addresses for L2 */
/*   L2:      o=0x10880000 l=0x001EFFFF*/
     SDRAM:   o=0x80000000 l=0x10000000
   /*SDRAM:   o=0x80000000 l=0x10000000*/
}

SECTIONS
{    
  .csl_vect   > SDRAM
  .bss        > SDRAM
  .far        > SDRAM
  .data       > SDRAM
  .text       > SDRAM
  .cio        > SDRAM
  .cinit      > SDRAM
  .boot       > SDRAM
  .const      > SDRAM
  .stack      > SDRAM
  .sysmem     > SDRAM 
  .switch     > SDRAM
  .testMem    > SDRAM

/*  .extData_sect > SDRAM              External memory data space */

}
