/* ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006
 *
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.
 * ==========================================================================
 */

/** ===========================================================================
 * @file csl_pscInit.c
 *
 * @brief File for functional layer of CSL API CSL_pscInit()
 *
 * @path $(CSLPATH)\src\psc
 *
 * @desc The CSL_pscInit() function definition & it's associated
 *       functions
 * ============================================================================
 */

/* ============================================================================
 * Revision History
 * ===============
 * 29-Jun-2006 TRR File Created.
 * ============================================================================
 */

#include <csl_psc.h>

/** ============================================================================
 *   @n@b CSL_pscInit
 *
 *   @b Description
 *   @n This is the initialization function for the General purpose timer CSL.
 *      The function must be called before calling any other API from this CSL.
 *      This function is idem-potent. Currently, the function just return
 *      status CSL_SOK, without doing anything.
 *
 *   @b Arguments
 *   @verbatim
        pContext    Pointer to module-context. As PSC doesn't have any context
                    based information user is expected to pass
                    NULL.
     @endverbatim
 *
 *   <b> Return Value </b>  CSL_Status
 *   @li                        CSL_SOK - Always returns
 *
 *   <b> Pre Condition </b>
 *   @n  None
 *
 *   <b> Post Condition </b>
 *   @n  The CSL for PSC is initialized
 *
 *   @b Modifies
 *   @n  None
 *
 *   @b Example
 *   @verbatim
            CSL_pscInit();
     @endverbatim
 * =============================================================================
 */
#pragma CODE_SECTION(CSL_pscInit, ".text:csl_section:psc");
CSL_Status CSL_pscInit (
    CSL_PscContext *pContext
)
{
    CSL_Status st = CSL_SOK;

    return st;
}

